%define pbs_name pbs-cache
%define pbs_lib libpbs-cache
%define pbs_client client
%define pbs_server server
%define pbs_version 1.0.6
%define pbs_release 3
%define pbs_build %{pbs_name}-%{pbs_version}
%define pbs_dist %{pbs_name}-%{pbs_version}.tar.gz

Name: %{pbs_name}	
Version: %{pbs_version}
Release: %{pbs_release}
Summary: PBS Cache
License: AGPLv3 with exceptions
URL: http://www.adaptivecomputing.com/products/open-source/torque/
Source0: %{pbs_dist}

BuildRoot: %{buildroot}
BuildRequires: gcc	
BuildRequires: make
BuildRequires: rpm-build

%description
PBS Cache is a value caching software built by and for MetaCentrum.

%package -n %{pbs_lib}	
Summary: PBS Cache library
Group: System/Base
Provides: libpbscache.so.1()(64bit)
Conflicts: pbs-cache
Autoreq: 1

%description -n %{pbs_lib}
PBS Cache Library

%package %{pbs_server}	
Summary: PBS Cache server
Group: System/Base
Requires: libpbs-cache
Conflicts: pbs-cache
Autoreq: 1

%description %{pbs_server}
PBS Cache Server binaries
 
%package %{pbs_client}	
Summary: PBS Cache client
Group: System/Base
Requires: libpbs-cache
Conflicts: pbs-cache
Autoreq: 1

%description %{pbs_client}
PBS Cache Client

%prep
%setup


%build
cd pbs_cache
%make_build all VMM=both STATIC=1


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}/usr/local/sbin
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/default
mkdir -p %{buildroot}/var/cache/pbs_cache
cp %{_builddir}/%{pbs_build}/pbs_cache/rc %{buildroot}/etc/rc.d/init.d/pbs_cache
cp %{_builddir}/%{pbs_build}/pbs_cache/rc.default %{buildroot}/etc/default/pbs_cache
cd pbs_cache
install -m 0644 libpbscache.so %{buildroot}%{_libdir}/libpbscache.so.1.0.0
ln -sf ../..%{_libdir}/libpbscache.so.1.0.0 %{buildroot}%{_libdir}/libpbscache.so.1.0
ln -sf ../..%{_libdir}/libpbscache.so.1.0.0 %{buildroot}%{_libdir}/libpbscache.so.1
ln -sf ../..%{_libdir}/libpbscache.so.1.0.0 %{buildroot}%{_libdir}/libpbscache.so
install -m 0644 api.h %{buildroot}%{_includedir}/pbs_cache_api.h
install -m 0744 *_cache %{buildroot}%{_bindir}
install -m 0644 libpbscache.a %{buildroot}%{_libdir}/libpbscache.a
mv %{buildroot}%{_bindir}/pbs_cache %{buildroot}%{_sbindir}/pbs_cache
ln -sf ../..%{_sbindir}/pbs_cache %{buildroot}/usr/local/sbin/pbs_cache
ln -sf ../..%{_bindir}/list_cache %{buildroot}/usr/sbin/list_cache
ln -sf ../..%{_bindir}/list_cache %{buildroot}/usr/local/sbin/list_cache
ln -sf ../..%{_bindir}/update_cache %{buildroot}/usr/sbin/update_cache
ln -sf ../..%{_bindir}/update_cache %{buildroot}/usr/local/sbin/update_cache
ln -sf ../..%{_bindir}/delete_cache %{buildroot}/usr/sbin/delete_cache
ln -sf ../..%{_bindir}/delete_cache %{buildroot}/usr/local/sbin/delete_cache

%clean

%files -n %{pbs_lib}
%defattr(-,root,root)
%{_libdir}/libpbscache*
%{_includedir}/pbs_cache_api.h

%files %{pbs_server}
%defattr(-,root,root)
%{_sbindir}/pbs_cache
/usr/local/sbin/pbs_cache
/etc/default/pbs_cache
/etc/rc.d/init.d/pbs_cache
/var/cache/pbs_cache/

%files %{pbs_client}
%defattr(-,root,root)
%{_bindir}/list_cache
%{_bindir}/update_cache
%{_bindir}/delete_cache
%{_sbindir}/list_cache
%{_sbindir}/update_cache
%{_sbindir}/delete_cache
/usr/local/sbin/list_cache
/usr/local/sbin/update_cache
/usr/local/sbin/delete_cache

